Project

General

Profile

Bug #8036

Sound juicer is a piece of crap

Added by Alexander Pyhalov over 2 years ago. Updated over 2 years ago.

Status:
Resolved
Priority:
Normal
Category:
-
Target version:
-
Start date:
2017-04-04
Due date:
% Done:

0%

Estimated time:
Difficulty:
Medium
Tags:
needs-triage

Description

After 2.28=>2.32 update sound juicer dropped libcdio support as part of https://mail.gnome.org/archives/commits-list/2010-April/msg06760.html .
Newer sound juicer requires working gvfs-cdda, and this one requires working fuse support in gvfs. Our libfuse is too old for this.
Also as part of one one 3.x updates sound juicer switched to gstreamer 1.0, which miss libgstcdda2wav plugin - https://github.com/OpenIndiana/oi-userland/blob/oi/hipster/components/multimedia/gst-plugins-good/patches/01-cdda.patch .
It seems gst-plugins 1.0 needs cdparanoia plugin, but cdparanoia is a dead project, never ported to Solaris.

Also, as part of work on updating brasero, we need to build sound juicer with gtk3 and libbrasero-media3. But in such configuration sound juicer 2.32 requires gnome-media-profiles-3.0. We need to remove this dependency, back-porting patches from 3.x branch.

History

#1

Updated by Alexander Pyhalov over 2 years ago

  • Assignee set to Alexander Pyhalov
  • Status changed from New to Resolved

Also available in: Atom PDF